PaidGoods
API referencePayment methods

Preview which methods a buyer from a country would see

POST
/v1/stores/{storeId}/payment-methods/eligibility-test

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/payment-methods/eligibility-test" \  -H "Content-Type: application/json" \  -d '{    "country": "st",    "amountMinor": 0,    "currency": "str"  }'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "label": "string",      "eligible": true,      "hidden": true,      "reason": "string",      "message": "string"    }  ]}